
# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

Summary: Python bindings for Qt3
Name:    PyQt
Version: 3.18.1
Release: 35%{?dist}

License: GPLv2
Url: http://www.riverbankcomputing.com/pyqt/
Source0: http://www.riverbankcomputing.com/static/Downloads/PyQt3/PyQt-x11-gpl-%{version}.tar.gz

# FTBFS against sip-4.15+
Patch1: PyQt-x11-gpl-3.18.1-sip415.patch

BuildRequires: libXmu-devel
BuildRequires: python2-devel
BuildRequires: qt3-devel
BuildRequires: qt3-MySQL qt3-ODBC qt3-PostgreSQL
BuildRequires: sip-devel >= 4.9.1

Obsoletes: PyQt-qscintilla < 3.18

Provides: python-qt3 = %{version}-%{release}
Provides: python2-qt3 = %{version}-%{release}
Provides: PyQt3 = %{version}-%{release}
%{?_isa:Provides: PyQt3%{?_isa} = %{version}-%{release}}

%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

%description
These are Python bindings for Qt3.

%package devel
Summary: Files needed to build other bindings based on Qt3
Provides: python-qt3-devel = %{version}-%{release}
Provides: python2-qt3-devel = %{version}-%{release}
Provides: PyQt3-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
Obsoletes: PyQt-qscintilla-devel < 3.18
%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt3 classes (e.g. KDE or your own).

%package examples
Summary: Examples for %{name} 
Requires: %{name} = %{version}-%{release}
%description examples
Example code demonstrating how to use the Python bindings for Qt3.


%prep
%setup -q -n %{name}-x11-gpl-%{version}%{?snap:-snapshot-%{snap}}

%patch1 -p0 -b .sip415


%build
QTDIR="" && . /etc/profile.d/qt.sh

echo yes | \
%{__python2} configure.py \
  -d %{python2_sitearch} \
  CFLAGS="%{optflags} -DANY=void" \
  CXXFLAGS="%{optflags} -DANY=void"

# Makefiles are broken, workaround
make -C qt %{?_smp_mflags}
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

mv examples3 examples


%files
%doc README NEWS
%license LICENSE
%{python2_sitearch}/pyqtconfig.*
%{python2_sitearch}/qt.so
%{python2_sitearch}/qtcanvas.so
%{python2_sitearch}/qtgl.so
%{python2_sitearch}/qtnetwork.so
%{python2_sitearch}/qtsql.so
%{python2_sitearch}/qttable.so
%{python2_sitearch}/qtui.so
%{python2_sitearch}/qtxml.so

%files devel
%{_bindir}/pylupdate
%{_bindir}/pyuic
%{_datadir}/sip/qt/
%{_datadir}/sip/qtcanvas/
%{_datadir}/sip/qtgl/
%{_datadir}/sip/qtnetwork/
%{_datadir}/sip/qtsql/
%{_datadir}/sip/qttable/
%{_datadir}/sip/qtui/
%{_datadir}/sip/qtxml/
%doc doc/PyQt.html

%files examples
%doc examples/README examples/*.py
%doc examples/*.png examples/*.gif examples/*.bmp


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-35
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed May 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 3.18.1-34
- Provides: python2-qt3(-devel)
- drop qscintilla conditionals (unused for a long time)
- .spec cleanup

* Wed Apr 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 3.18.1-33
- rebuild (sip)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.1-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-30
- rebuild (sip)

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.18.1-29
- Rebuilt for GCC 5 C++11 ABI change

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-26
- rebuild (sip)

* Sun Mar 16 2014 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-25
- rebuild (sip)

* Mon Feb 17 2014 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-24
- flesh out python-qt3 related provides

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-23
- try obs patch for sip-4.15+

* Wed Oct 16 2013 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-22
- rebuild (sip)

* Tue Aug 27 2013 Rex Dieter <rdieter@fedoraproject.org> - 3.18.1-21
- trim changelog
- fix qt3version macro usage

* Mon Aug 26 2013 Jon Ciesla <limburgher@gmail.com> - 3.18.1-20
- libmng rebuild.

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-18
- rebuild (sip)

* Tue Mar 05 2013 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-17
- rebuild (sip)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 3.18.1-15
- rebuild due to "jpeg8-ABI" feature drop

* Sat Nov 10 2012 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.18.1-14
- add -DANY=void to the compiler flags to fix FTBFS with sip 4.14 (#863104)

* Mon Oct 01 2012 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-13
- rebuild (sip)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 18 2011 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-10
- Provides: python-qt3

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.18.1-8
- rebuild (sip)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 3.18.1-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.18.1-6
- rebuild (sip)

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.18.1-5 
- Requires: sip-api(%%_sip_api_major) >= %%_sip_api

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> 3.18.1-4
- rebuild for sip-4.9 (#537760)

* Thu Sep 10 2009 Than Ngo <than@redhat.com> - 3.18.1-3
- drop support fedora < 10

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.18.1-1
- PyQt-3.18.1

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.18-1
- PyQt-3.18

* Thu May 21 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.18-0.1.20090323
- PyQt-3.18-snapshot-20090323

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.17.6-2
- Rebuild for Python 2.6

* Mon Nov 17 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.17.6-1
- PyQt-3.17.6

* Mon Nov 10 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.17.5-1
- PyQt-3.17.5

* Wed Jun 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.17.4-5
- Provides: PyQt3(-devel)

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.17.4-4
- qt -> qt3 references

* Fri Feb 15 2008 Than Ngo <than@redhat.com> 3.17.4-3
- rebuilt against gcc-4.3

* Tue Jan 29 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.17.4-2
- drop qscintilla support (f9+)

* Thu Dec 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.17.4-1
- 3.17.4

* Mon Nov 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.17.3-3
- Requires: sip >= %%{sip_version_used_to_build}

* Mon Nov 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.17.3-2
- -qscintilla(-devel) subpkgs
- License: GPLv2
- fix %%qtversion
- don't own %%_datadir/sip (sip-devel owns it)

* Mon Oct 22 2007 Than Ngo <than@redhat.com> - 3.17.3-1
- 3.17.3

* Thu Apr 12 2007 Than Ngo <than@redhat.com> - 3.17.1-1.fc7
- 3.17.1

* Thu Jan 18 2007 Than Ngo <than@redhat.com> - 3.17-3
- rebuilt

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 3.17-2
- rebuild for python 2.5

* Mon Nov 06 2006 Than Ngo <than@redhat.com> 3.17-1
- 3.17

* Wed Jul 19 2006 Than Ngo <than@redhat.com> 3.16-4
- rebuid against sip-4.4.5

* Tue Jul 18 2006 Than Ngo <than@redhat.com> 3.16-3
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.16-2.1
- rebuild

* Tue May 16 2006 Karsten Hopp <karsten@redhat.de> 3.16-2
- add some buildrequirements.

* Thu Apr 27 2006 Than Ngo <than@redhat.com> 3.16-1
- update to 3.16
- built with %%{optflags}

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 3.15-1.2.2
- rebump for build order issues during double-long bump

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.15-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.15-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Sep 12 2005 Than Ngo <than@redhat.com> 3.15-1
- update to 3.15

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 3.14.1-1
- 3.14.1

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.14-1
- 3.14

* Fri Jan 21 2005 Than Ngo <than@redhat.com> 3.13-3
- Add missing sip dependency

* Sat Nov 13 2004 Than Ngo <than@redhat.com> 3.13-2
- rebuilt against python 2.4

* Fri Sep 24 2004 Than Ngo <than@redhat.com> 3.13-1
- update to 3.13

* Fri Jun 18 2004 Than Ngo <than@redhat.com> 3.12-3
- rebuilt against gcc 3.4

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 27 2004 Than Ngo <than@redhat.com> 3.12-1
- update to 3.12
- add BuildRequires on python-devel sip-devel , bug #124417

* Fri Mar 12 2004 Than Ngo <than@redhat.com> 3.11-1
- 3.11

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Than Ngo <than@redhat.com> 3.10-3
- add some patch files from CVS, which supports Qt 3.3.0

* Thu Feb 12 2004 Than Ngo <than@redhat.com> 3.10-2
- use new methode of building SIP

* Wed Feb 11 2004 Than Ngo <than@redhat.com> 3.10-1
- 3.10 release
- build against qt 3.3.0

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.8.1-3
- rebuild against python 2.3/ Qt 3.2.3

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 3.8.1-2
- added sip_version

* Sat Sep 27 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- 3.8.1

* Mon Jul 21 2003 Than Ngo <than@redhat.com> 3.7-1
- 3.7

* Tue Jun 24 2003 Than Ngo <than@redhat.com> 3.6-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 6 2003 Than Ngo <than@redhat.com> 3.6-2.1
- fix search path problem (bug #87476)

* Mon Apr 28 2003 Than Ngo <than@redhat.com> 3.6-1
- 3.6
- remove unneeded patch file

* Mon Apr 21 2003 Elliot Lee <sopwith@redhat.com> 3.5.1-0.20030303.1
- Fix build for smp_mflags

* Tue Mar  4 2003 Than Ngo <than@redhat.com> 3.5.1-0.20030303.0
- snapshot 20030303, support qt 3.1.2

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 3.5-5
- rebuilt against new python

* Thu Jan 30 2003 Than Ngo <than@redhat.com> 3.5-4
- excludearch alpha
- disable smp_flag on s390

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 08 2003 Elliot Lee <sopwith@redhat.com> 3.5-3
- Don't exclude alpha

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-2
- fix typo

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-1
- 3.5 release

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.5-0.20021114.1
- Release Candidate, which supports qt 3.1.0
- fix dependency problem with python

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.4-1
- 3.4

* Sat Aug 24 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- to not enable parallel make
- specfile cleanups
- again excludearch alpha

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.3.2-3
- rebuild using new gcc-3.2-0.3
- remove excludearch alpha

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-2
- rebuild to get rid of deps

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-1
- 3.3.2 release for qt 3.0.5

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- updated to version 3.2.4

* Thu May 02 2002 Than Ngo <than@redhat.com> 3.2-0.rc4.1
- 3.2rc4
- build against python 2

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 3.1-2
- rebuild

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.1-1
- update 3.1 for qt 3.0.3

* Fri Mar  8 2002 Than Ngo <than@redhat.com> 3.0-4
- rebuild against qt-3
- fix Url

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.0-3
- rebuild against python 1.5.2 and qt 2.3.2

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 3.0-1
- update to 3.0
- add 4 official patches
- build against qt 3

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.5-1
- update to 2.5
- add patch from alane@geeksrus.net (bug #54627)

* Mon Apr 23 2001 Than Ngo <than@redhat.com>
- update to 2.4
- remove a g++ patch, since the bug is fixed in current gcc-2.96-81

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- rebuild against sip-2.3-2

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.3
- use python 1.5

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- fixed to build against gcc-2.96-72

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require a package we aren't shipping (python2 >= 2.0,
  not python >= 2.0)

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- rebuild against the new qt-2.2.3
- fixed to build with python 2.0
- add missing PyQt docs

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 8 2000 Than Ngo <than@redhat.com>
- update to 2.2
- fixed BuildPrereq

* Tue Oct 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove bogus requirement on python-%%{pythonver}, there's no such
  thing as a python-1.5 package and we actually use version 1.5.2
  Than: I take this VERY seriously... "It compiles, therefore it
  works!" is a registered trademark of myself. ;)
- some fixes to spec file
- update URL

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- update to 2.1
- add requires python

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version
- add defattr

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL
- -devel and -examples require base package

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
